jQuery(function($){
	"use strict";
	jQuery('.main-menu-navigation > ul').superfish({
		delay:       500,                            
		animation:   {opacity:'show',height:'show'},  
		speed:       'fast'                        
	});
});

function multipurpose_blog_responsive_menu_open() {
	jQuery(".menu-brand").addClass('show');
}
function multipurpose_blog_responsive_menu_close() {
	jQuery(".menu-brand").removeClass('show');
}

var multipurpose_blog_Keyboard_loop = function (elem) {

    var multipurpose_blog_tabbable = elem.find('select, input, textarea, button, a').filter(':visible');

    var multipurpose_blog_firstTabbable = multipurpose_blog_tabbable.first();
    var multipurpose_blog_lastTabbable = multipurpose_blog_tabbable.last();

    /*redirect last tab to first input*/
    multipurpose_blog_lastTabbable.on('keydown', function (e) {
        if ((e.which === 9 && !e.shiftKey)) {
            e.preventDefault();
            multipurpose_blog_firstTabbable.focus();
        }
    });

    /*redirect first shift+tab to last input*/
    multipurpose_blog_firstTabbable.on('keydown', function (e) {
        if ((e.which === 9 && e.shiftKey)) {
            e.preventDefault();
            multipurpose_blog_lastTabbable.focus();
        }
    });

    /* allow escape key to close insiders div */
    elem.on('keyup', function (e) {
        if (e.keyCode === 27) {
            elem.hide();
        }
        ;
    });
};

// scroll
jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
	    if (jQuery(this).scrollTop() > 0) {
	        jQuery('#scrollbutton').fadeIn();
	    } else {
	        jQuery('#scrollbutton').fadeOut();
	    }
	});
	jQuery(window).on("scroll", function () {
	   document.getElementById("scrollbutton").style.display = "block";
	});
	jQuery('#scrollbutton').click(function () {
	    jQuery("html, body").animate({
	        scrollTop: 0
	    }, 600);
	    return false;
	});
});

jQuery(function($){
	$('.mobiletoggle').click(function () {
        multipurpose_blog_Keyboard_loop($('.menu-brand'));
    });
});

// preloader
jQuery(function($){
    setTimeout(function(){
        $(".frame").delay(1000).fadeOut("slow");
    });
});

(function( $ ) {

	$(window).scroll(function(){
		var sticky = $('.sticky-header'),
		scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('fixed-header');
		else sticky.removeClass('fixed-header');
	});

})( jQuery );
// sticky copyright
(function ($) {
    $(window).on('scroll', function () {
        var scroll = $(window).scrollTop();
        var sticky = $('.sticky-copyright');

        if (sticky.length) {
            if (scroll >= 100) {
                sticky.addClass('fixed-copyright');
            } else {
                sticky.removeClass('fixed-copyright');
            }
        }
    });
})(jQuery);

/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const multipurpose_blog_progressBar =
        document.getElementById("multipurpose_blog_elemento_progress_bar");
    if (!multipurpose_blog_progressBar) return;
    window.addEventListener("scroll", function () {
        const multipurpose_blog_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const multipurpose_blog_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const multipurpose_blog_scrolled =
            (multipurpose_blog_scrollTop / multipurpose_blog_height) * 100;
        multipurpose_blog_progressBar.style.width =
            multipurpose_blog_scrolled + "%";
    });
});
